<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="热处理产线工序点配置">

		<query id="HttSetPline.Query" desc="查询产线对应的工序点">
	 <![CDATA[ 
select t1.* from MCH_COM_SETPLINE t1 where t1.pline_code in (SELECT T.PLINE_CODE FROM COM_BASE_PLINE T WHERE T.PROCESS_CODE ='F'
UNION ALL
SELECT T.STORAGE_NAME FROM YDM_BS_STORAGE T WHERE T.HL_MANAGEMENT_NO='002001006') 
	  ]]>
	</query>
	<query id="HttSetPline.addOfficeD" desc="工序点新增">
	 <![CDATA[ 
INSERT INTO MCH_COM_SETPLINE
  (PLINE_CODE,STATION_NAMES,OFFLINE_PLACE,PLINE_NAME)
VALUES
  (?,?,?,?)
	  ]]>
	</query>
		<query id="HttSetPline.getQuerydirect" desc="查询离线去向">
		<![CDATA[
SELECT T.PLINE_CODE, T.PLINE_NAME FROM COM_BASE_PLINE T WHERE T.PROCESS_CODE =?
--UNION ALL
--SELECT T.STORAGE_NO, T.STORAGE_NAME FROM YDM_BS_STORAGE T WHERE T.HL_MANAGEMENT_NO=?
		 ]]>
	</query>		
	
		<query id="HttSetPline.detOfficeD" desc="删除相同的产线数据">
	 <![CDATA[ 
 DELETE FROM MCH_COM_SETPLINE T WHERE T.PLINE_CODE= ?
	  ]]>
	</query>
			<query id="HttSetPline.detOfficeDirect" desc="删除相同的产线数据">
	 <![CDATA[ 
 DELETE FROM MCH_COM_SETPLINE T WHERE T.PLINE_CODE= ?
	  ]]>
	</query>		

</queryMap>